#property indicator_separate_window
#property indicator_buffers 5
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_color3 Gray
#property indicator_color4 Gray
#property indicator_color5 Yellow

extern string  TimeFrame    = "15";
extern int    period      = 14;          // Calculating period
extern int    Price       = PRICE_CLOSE; // Price
extern double Divisor     = 3;           // Divisor to use for "ema" calculation
extern double Filter      = 1;           // Filter 
extern bool   Interpolate = true;
extern string  TimeFrame2    = "30";
extern int    AMAPeriod       = 10;
extern int    AMAPrice        = PRICE_CLOSE;
extern int    Nfast           = 2;
extern int    Nslow           = 30;
extern double GCoeff          = 2;
extern int    PriceFilter     = 5;
extern int    PriceFilterMode = MODE_EMA;

double ExtMapBuffer1[];

//
//
//
//
//

int init()
{
   SetIndexBuffer(0,ExtMapBuffer1);
   return(0);
}
int deinit() { return(0); }
int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   for(int i=limit; i >= 0; i--)
   {
      ExtMapBuffer1[i] = (iCustom(NULL,0,"ema variation + filter mtf nmc",TimeFrame,period,Price,Divisor,Filter,Interpolate,0,i)+
                          iCustom(NULL,0,"Kaufman - price filtered 3 mtf",TimeFrame2,AMAPeriod,AMAPrice,Nfast,Nslow,GCoeff,PriceFilter,PriceFilterMode,0,i)
                         )/2.0;
   }
   return(0);
}